import { html as n } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, a = (p, e, o, t) => {
  for (var r = t > 1 ? void 0 : t ? v(e, o) : e, c = p.length - 1, i; c >= 0; c--)
    (i = p[c]) && (r = (t ? i(e, o, r) : i(r)) || r);
  return t && r && f(e, o, r), r;
};
let s = class extends l {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chartMarker", this.class = "c-pieIcon c-pieIcon--chartMarker", this.name = "IconChartMarker";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chartMarker"><path d="M3.844 11.5h1.312V15H3.844zm3.5 3.5h1.312V8.875H7.344zm3.5-4.375V15h1.312v-4.375zm-.158-4.751L8 8 5.314 5.874a1.53 1.53 0 0 1-.595-1.208V1.22h6.562v3.447a1.53 1.53 0 0 1-.595 1.208M9.97 2.53H6.03v2.135a.25.25 0 0 0 .088.175L8 6.294 9.881 4.84a.25.25 0 0 0 .088-.175z"></path></svg>`;
  }
};
a([
  h({ type: String, reflect: !0 })
], s.prototype, "size", 2);
a([
  h({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = a([
  m("icon-chart-marker")
], s);
export {
  s as IconChartMarker
};
